# Generated by Django 2.2.5 on 2019-09-03 18:30

import biscuit.core.util.core_helpers
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('chronos', '0001_initial'),
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='PersonalNote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('week', models.IntegerField()),
                ('absent', models.BooleanField(default=False)),
                ('late', models.IntegerField(default=0)),
                ('excused', models.BooleanField(default=False)),
                ('remarks', models.CharField(blank=True, max_length=200)),
                ('lesson_period', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='chronos.LessonPeriod')),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='personal_notes', to='core.Person')),
                ('school', models.ForeignKey(default=biscuit.core.util.core_helpers.get_current_school, on_delete=django.db.models.deletion.CASCADE, to='core.School')),
            ],
            options={
                'ordering': ['lesson_period__lesson__date_start', 'week', 'lesson_period__period__weekday', 'lesson_period__period__period', 'person__last_name', 'person__first_name'],
                'unique_together': {('school', 'lesson_period', 'week', 'person')},
            },
        ),
        migrations.CreateModel(
            name='LessonDocumentation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('week', models.IntegerField()),
                ('topic', models.CharField(blank=True, max_length=200, verbose_name='Lesson topic')),
                ('homework', models.CharField(blank=True, max_length=200, verbose_name='Homework')),
                ('lesson_period', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documentations', to='chronos.LessonPeriod')),
                ('school', models.ForeignKey(default=biscuit.core.util.core_helpers.get_current_school, on_delete=django.db.models.deletion.CASCADE, to='core.School')),
            ],
            options={
                'ordering': ['lesson_period__lesson__date_start', 'week', 'lesson_period__period__weekday', 'lesson_period__period__period'],
                'unique_together': {('school', 'lesson_period', 'week')},
            },
        ),
    ]
